{% extends "base.html.j2" %}
{% block content %}
<div class="media">
    <section class="main_content content convert_emoji">
        <div class="flex">
            <section class="column main">
                <h2>{{title}}</h2>

                <p>Nuestra comunidad crece gracias a personas como tú, ¡gracias por compartir series!</p>

                <form role="form" method="post" accept-charset="utf-8" name="add_media">
                    <div class="form-group">
                        {{form.hidden_tag()}}

                        {{form.moviedb_uri.label()}}
                        {{form.moviedb_uri()}}

                        {% for error in form.moviedb_uri.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.season.label()}}
                        {{form.season()}}

                        {% for error in form.season.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.chapter.label()}}
                        {{form.chapter()}}

                        {% for error in form.chapter.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.uri.label()}}
                        {{form.uri()}}

                        {% for error in form.uri.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {% if current_user.is_authenticated %}
                        {% if current_user.is_mod() %}
                            {{form.download_uri.label()}}
                            {{form.download_uri()}}

                            {% for error in form.download_uri.errors %}
                                <span style="color: red;">[{{error}}]</span>
                            {% endfor %}
                        {% endif %}
                        {% endif %}

                        {{form.quality.label()}}
                        {{form.quality()}}

                        {% for error in form.quality.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.audio.label()}}
                        {{form.audio()}}

                        {% for error in form.audio.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        {{form.subtitle.label()}}
                        {{form.subtitle()}}

                        {% for error in form.subtitle.errors %}
                            <span style="color: red;">[{{error}}]</span>
                        {% endfor %}

                        <div class="buttons">
                            {{form.submit()}}
                            <p class="reset"><a href="{{request.referrer}}">Cancelar</a></p>
                        </div>
                    </form>
                </section>

                <section class="column sidebar">
                    <div class="card colored">
                        <div class="background">
                            <div class="top">
                                <h2>Tips para llenar los campos</h2>
                            </div>
                        </div>
                        <div class="bottom">
                            <ul>
                                <li><strong>Metadatos:</strong> URL desde donde se descarga el arte
                                    y descripción del contenido, por ejemplo, para agregar
                                    <strong>Breaking Bad</strong>, use el link
                                    <a href="https://www.themoviedb.org/tv/1396-breaking-bad">
                                        https://www.themoviedb.org/tv/1396-breaking-bad</a>
                                    en este campo.
                                </li>
                                {% include "media_add_tips.html.j2" %}
                            </ul>
                        </div>
                    </div>
                </section>
            </div>
        </section>

        <script type="text/javascript" charset="utf-8">
            $(document).ready(function(){
                $('#moviedb_uri').focus();
            });
        </script>
    </div>
    {% endblock %}
